Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCharRef Class Reference

The QCharRef class is a helper class for QString. More...

`#include <qstring.h>`

List of all member functions.

## Detailed Description

The QCharRef class is a helper class for QString.

When you get an object of type QCharRef, you can assign to it, which will operate on the character in the string from which you got the reference. That is its whole purpose in life. The QCharRef becomes invalid once modifications are made to the string: if you want to keep the character, copy it into a QChar.

Most of the QChar member functions also exist in QCharRef. However, they are not explicitly documented here.

See also QString::operator[](), QString::at(), QChar and Text Related Classes.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.